Bug 986895 - [abrt] sigsegv in -T option handling
[abrt] sigsegv in -T option handling
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
abrt_hash:7ec3312b0dfb3e081be168b25aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 07:03 EDT by Pavel Raiskup
Modified: 2014-04-01 16:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-31 01:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.99 KB, text/plain)
2013-07-22 07:03 EDT, Pavel Raiskup
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-22 07:03 EDT, Pavel Raiskup
no flags Details
File: core_backtrace (831 bytes, text/plain)
2013-07-22 07:03 EDT, Pavel Raiskup
no flags Details
File: dso_list (803 bytes, text/plain)
2013-07-22 07:03 EDT, Pavel Raiskup
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-22 07:04 EDT, Pavel Raiskup
no flags Details
File: maps (4.01 KB, text/plain)
2013-07-22 07:04 EDT, Pavel Raiskup
no flags Details
File: open_fds (108 bytes, text/plain)
2013-07-22 07:04 EDT, Pavel Raiskup
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-07-22 07:04 EDT, Pavel Raiskup
no flags Details
File: var_log_messages (10.67 KB, text/plain)
2013-07-22 07:04 EDT, Pavel Raiskup
no flags Details

  None (edit)
Description Pavel Raiskup 2013-07-22 07:03:40 EDT
Description of problem:
This was reported upstream: 
	http://lists.gnu.org/archive/html/bug-tar/2013-07/msg00009.html
Reproducible by (as mentioned upstream):
       cd /tmp; > empty; echo . > valid; tar cf /dev/null -T empty -T valid
It is worth to look at it.

Version-Release number of selected component:
tar-1.26-26.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        tar cf /dev/null -T empty -T valid
crash_function: strcmp
executable:     /usr/bin/tar
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 strcmp at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:164
 #1 _getopt_internal_r at getopt.c:419
 #2 _getopt_long_r at getopt1.c:54
 #3 parser_parse_next at argp-parse.c:803
 #4 argp_parse at argp-parse.c:925
 #5 decode_options at tar.c:2389
Comment 1 Pavel Raiskup 2013-07-22 07:03:47 EDT
Created attachment 776859 [details]
File: backtrace
Comment 2 Pavel Raiskup 2013-07-22 07:03:52 EDT
Created attachment 776860 [details]
File: cgroup
Comment 3 Pavel Raiskup 2013-07-22 07:03:55 EDT
Created attachment 776861 [details]
File: core_backtrace
Comment 4 Pavel Raiskup 2013-07-22 07:03:58 EDT
Created attachment 776862 [details]
File: dso_list
Comment 5 Pavel Raiskup 2013-07-22 07:04:02 EDT
Created attachment 776863 [details]
File: limits
Comment 6 Pavel Raiskup 2013-07-22 07:04:07 EDT
Created attachment 776864 [details]
File: maps
Comment 7 Pavel Raiskup 2013-07-22 07:04:10 EDT
Created attachment 776865 [details]
File: open_fds
Comment 8 Pavel Raiskup 2013-07-22 07:04:13 EDT
Created attachment 776866 [details]
File: proc_pid_status
Comment 9 Pavel Raiskup 2013-07-22 07:04:16 EDT
Created attachment 776867 [details]
File: var_log_messages
Comment 10 Pavel Raiskup 2013-07-23 07:18:37 EDT
Fix proposed upstream.
Comment 11 Pavel Raiskup 2013-09-11 09:25:20 EDT
In the meantime, fix for this bug was pushed upstream as a part of fixing
multiple upstream problems relevant to -T option.  See these upstream changes:

    26538c9bfc5
    6e5e4420f42 (minor)
    ddff3e90388
    95d7b37a34c (minor)
    69007e652ab (minor)
    077d7bceff9 (minor)
    1fe0c83de46
    bff9c3637d9 (minor)

Backpatching all those for so small problem does not seem to be reasonable to
me.  Those changes also caused some changes in -T option handling.
---

The change in behavior is wanted and makes sense, I would say.  But the code
change is too big and touches very base and risky parts of code.  If there was
real user request, I could patch this bug with the small patch I originally
proposed.  But for now, I would wait for official upstream release (taking into
account also that this bug is about unlikely corner case in -T option usage).

Pavel
Comment 12 Fedora Update System 2014-04-01 16:55:23 EDT
tar-1.26-31.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tar-1.26-31.fc20

Note You need to log in before you can comment on or make changes to this bug.